CORRECT_ABUNDANCES(1)

NAME
correct_abundances - run the genome abundance similarity correction step

SYNOPSIS
correct_abundances NAMES

DESCRIPTION
Run the similarity correction step.

Note: Although it is possible to run the read mappers by hand or to create the similarity matrix manually, we strongly recommend to use the provided Python scripts 'run_mappers.py' and 'create_similarity_matrix.py'.

OPTIONS

NAMES:
    Filename of the names file; the plain text names file should contain one name per line. The name is used as identifier in the whole algorithm.

-h, --help
    show this help message and exit

-m SMAT, --similarity-matrix=SMAT
    Path to similarity matrix file. The similarity matrix must be created with the same NAMES file. [default: ./similarity_matrix.npy]

-s SAM, --samfiles=SAM
    Pattern pointing to the SAM files created by the mapper. Placeholder for the name is "%s". [default: ./SAM/%s.sam]

-b BOOT, --bootstrap-samples=BOOT
    Set the number of bootstrap samples. Use 1 to disable bootstrapping [default: 100]

-o OUT, --output=OUT
    Plain text output file containing the results. [default: ./results.txt]